/* update installation disks                                      */
/* 05.20.2000: initial version (0.1)                              */

parse arg iddir fpdir 

if iddir = '' | fpdir = '' then do
	say 'Update OS/2 Warp 4 installation diskettes with fixpak.'
	say 'Usage: updif <directory install floppy images> <directory fixpak files>'
	say 'Example: updif d:\diskimgs\os2\35 d:\fp13\fix'
	say 'The fixpak files must be uncompressed, see the readme and prpfp.cmd!'
	exit 1
end

log   = 'updif.log'
say
say 'Creating installation floppies from 'iddir' and 'fpdir'...'
rc=lineout(log, 'Creating installation floppies from 'iddir' and 'fpdir'... ('date() time() ')')
call create_flop 'disk0'
call create_flop 'disk1_cd'
call create_flop 'disk2'

exit

/* create and update install floppy */
create_flop: procedure expose log iddir fpdir

	parse arg disk
	'@cls'
	say
	image = iddir || '\' || disk || '.dsk'
	say 'Creating 'disk' from image 'image'...'
	call execute '@xdfcopy 'image' a:'
	if stream('a:\bundle', 'c', 'query exists') <> '' then call execute '@del a:\bundle'
	'@call updcd a: 'fpdir
	say 'Postprocessing 'disk'...'
	if disk = 'disk0' then call execute '@copy 'fpdir'\os2krnl a:\os2krnli >nul 2>>&1'
	say 'Do you want to update the floppy image (dsk file) too? (y/n)'
	parse upper pull response
	if response = 'Y' then call execute '@xdfcopy a: 'image
return


/* execute command, display it and write to log */ 
execute: procedure expose log
	parse arg comm
	comm
	comm = substr(comm, 1, 74) || ' rc='rc
	say comm
	rc=lineout(log, comm)
return
